Skip to main content
`Ctrl`+`K`

# eulerian_path

eulerian_path(G, source=None, keys=False)

  Return an iterator over the edges of an Eulerian path in `G`.

  Parameters:
    G NetworkX Graph

      The graph in which to look for an eulerian path.

    source node or None (default: None)

      The node at which to start the search. None means search over all starting nodes.

    keys Bool (default: False)

      Indicates whether to yield edge 3-tuples (u, v, edge_key). The default yields edge 2-tuples

  Yields:
    Edge tuples along the eulerian path.
    Warning: If `source` provided is not the start node of an Euler path
    will raise error even if an Euler Path exists.